## rock-master-18.06-base-templates-doc 0.20130219

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
install(DIRECTORY ./src DESTINATION share/rock/base/templates/doc/. FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./src/style_screen.css DESTINATION share/rock/base/templates/doc/./src)
install(DIRECTORY ./src/img DESTINATION share/rock/base/templates/doc/./src FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./src/img/background_layout_2.gif DESTINATION share/rock/base/templates/doc/./src/img)
install(FILES ./src/img/background_layout_3.gif DESTINATION share/rock/base/templates/doc/./src/img)
install(FILES ./src/img/background_body_grey.gif DESTINATION share/rock/base/templates/doc/./src/img)
install(FILES ./src/img/background_layout_1.gif DESTINATION share/rock/base/templates/doc/./src/img)
install(FILES ./src/img/help.png DESTINATION share/rock/base/templates/doc/./src/img)
install(FILES ./src/default.virtual DESTINATION share/rock/base/templates/doc/./src)
install(FILES ./src/default.template DESTINATION share/rock/base/templates/doc/./src)
install(DIRECTORY ./src/scripts DESTINATION share/rock/base/templates/doc/./src FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./src/scripts/jquery.selectfilter.js DESTINATION share/rock/base/templates/doc/./src/scripts)
install(FILES ./src/scripts/jquery.tinysort.min.js DESTINATION share/rock/base/templates/doc/./src/scripts)
install(FILES ./src/scripts/jquery.tagcloud.min.js DESTINATION share/rock/base/templates/doc/./src/scripts)
install(FILES ./config.yaml DESTINATION share/rock/base/templates/doc/.)
install(FILES ./Rakefile DESTINATION share/rock/base/templates/doc/.)
install(FILES ./CMakeLists.txt DESTINATION share/rock/base/templates/doc/.)
install(DIRECTORY ./ext DESTINATION share/rock/base/templates/doc/. FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./ext/blog.rb DESTINATION share/rock/base/templates/doc/./ext)
install(FILES ./ext/extended_menu.rb DESTINATION share/rock/base/templates/doc/./ext)
install(FILES ./ext/init.rb DESTINATION share/rock/base/templates/doc/./ext)
install(FILES ./ext/rdoc_links.rb DESTINATION share/rock/base/templates/doc/./ext)
install(FILES ./ext/ticker.rb DESTINATION share/rock/base/templates/doc/./ext)
install(FILES ./ext/previous_next.rb DESTINATION share/rock/base/templates/doc/./ext)
install(FILES ./ext/rock_links.rb DESTINATION share/rock/base/templates/doc/./ext)
