=== debian/changelog ===
rock-master-18.06-base-templates-doc (0.20130219-1~bionic) unstable; urgency=low

  * Package automatically built using autoproj-package debian
  * repository: github:/rock-core/base-templates-doc_preview.git
  * branch: refs/heads/master
  * commit: b33744d22d8dcd06a6270483f7b9d6fd14a0cf97
  * tag: 

 -- Packaging Daemon <rock-dev@dfki.de>  Tue, 10 Jul 2018 11:09:31 +0200
