=== debian/control ===
Source: rock-master-18.06-base-templates-doc
Section: science
Priority: extra
Maintainer: Rock Packaging Daemon <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake
Standards-Version: 3.9.2
Homepage: http://rock-robotics.org
#Vcs-Git: git://git.debian.org/collab-maint/bla.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/bla.git;a=summary

Package: rock-master-18.06-base-templates-doc
Architecture: any
Depends: ${shlibs:Depends}
Description: template for the rock-doc-preview tool
 This package installs the templates needed by the rock-doc-preview tool
